player_position1d_position_pid_req Struct Reference

Request/reply: Set position PID parameters. More...

`#include <player_interfaces.h>`

## Public Attributes

float | kp
| PID parameters.
float | ki
| PID parameters.
float | kd
| PID parameters.

## Detailed Description

Request/reply: Set position PID parameters.

To set position PID parameters, send a PLAYER_POSITION1D_REQ_POSITION_PID request. Null response.

The documentation for this struct was generated from the following file:

- player_interfaces.h

Last updated 12 September 2005 21:38:45